{
  name: "Ability Shield",
  spritenum: 746,
  fling: {
  	basePower: 30,
  },
  ignoreKlutz: true,
  /* Neutralizing Gas protection implemented in Pokemon.ignoringAbility() within sim/pokemon.ts */
  /* and in Neutralizing Gas itself within data/abilities.ts */
  onSetAbility(ability, target, source, effect) {
  	if (effect && effect.effectType === 'Ability' && effect.name !== 'Trace') {
  		this.add('-ability', source, effect);
  	}
  	this.add('-block', target, 'item: Ability Shield');
  	return null;
  },
  /* Mold Breaker protection implemented in Battle.suppressingAbility() within sim/battle.ts */
  num: 1881,
  gen: 9,
}